{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}


{% block title %} New employee {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Employee
        </p>
        <p class="subtitle">
            New employee
        </p>
    </div>
</section>
<br>
<div class="column is-one-third is-offset-one-third">
    <div class="card">
        <div class="section">
            <form action="{% url 'onboard' %}" method="POST" enctype="multipart/form-data">
                {% csrf_token%}
                <p class="is-size-5 has-text-weight-bold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardPersonalFrom|crispy}}
            </div>
            {% if user.is_superuser %}
            <hr>
            <p class="is-size-5 has-text-weight-bold">Employment Details</p>
            <div class="m m-5">
            {{forms.OnBoardEmployeeDetailsForm|crispy}}
            </div>
            {% endif %}
            <hr>
            <p class="is-size-5 has-text-weight-bold">Dependent Details</p>
            <div class="m m-5">
            {{forms.OnBoardDependentForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Emergency contact</p>
            <div class="m m-5">
            {{forms.OnBoardEmergencyContactForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Affiliation Details</p>
            <div class="m m-5">
            {{forms.OnBoardAffiliatedInstitutionForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Highest Education Qualification</p>
            <div class="m m-5">
            {{forms.OnBoardEducationDetailsForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">VISA Details</p>
            <div class="m m-5">
            {{forms.OnBoardVisa|crispy}}
            </div>
                <button type="submit" class="button is-link"> Save </button>
            </form>
        </div>
    </div>
</div>
{% endblock content %}